# Uses of Class
com.logicaldoc.core.security.user.Group

Packages that use Group
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of Group in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return Group
Modifier and Type
Method
Description
`Group`
GroupDAO.`findByName(String name, long tenantId)`
Finds a group by name.
`Group`
HibernateGroupDAO.`findByName(String name, long tenantId)`
`Group`
User.`getUserGroup()`
Retrieves this user's group
Methods in com.logicaldoc.core.security.user that return types with arguments of type Group
Modifier and Type
Method
Description
`Collection<Group>`
GroupDAO.`findByLikeName(String name, long tenantId)`
This method finds a Group by name.
`Collection<Group>`
HibernateGroupDAO.`findByLikeName(String name, long tenantId)`
`Set<Group>`
User.`getGroups()`
Methods in com.logicaldoc.core.security.user with parameters of type Group
Modifier and Type
Method
Description
`void`
User.`addGroup(Group group)`
`void`
GroupDAO.`fixGuestPermissions(Group group)`
`void`
HibernateGroupDAO.`fixGuestPermissions(Group group)`
If the user is guest, we remove not admitted permissions
`void`
GroupDAO.`inheritACLs(Group group, long parentGroupId)`
This method replicates all ACLs of the parent group to another group.
`void`
HibernateGroupDAO.`inheritACLs(Group group, long parentGroupId)`
`void`
GroupDAO.`initialize(Group group)`
Initializes the group collections
`void`
HibernateGroupDAO.`initialize(Group group)`
`void`
GroupDAO.`insert(Group group, long parentGroupId)`
This method persists a new group object.
`void`
HibernateGroupDAO.`insert(Group group, long parentGroupId)`
`void`
HibernateGroupDAO.`store(Group group)`
Method parameters in com.logicaldoc.core.security.user with type arguments of type Group
Modifier and Type
Method
Description
`void`
User.`setGroups(Set<Group> groups)`